html, body {
	padding: 0;
	margin: 0;
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
}
body {
	min-height: 100vh;
	line-height: 1.5;
	font-size: 16px;
	color: #fff;
	position: relative;
	z-index: 9999;
}
.about-experience {
	position: relative;
	background-image: linear-gradient(#0F0F0F 0%, #232D3F 50%, #005B41 100%);
	z-index: 1;
	padding-bottom: 100px;
}
.about-experience:after {
	content: '';
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-image: linear-gradient(to right, rgb(100, 116, 139) 1px, transparent 1px), 
    linear-gradient(to bottom, rgb(100, 116, 139) 1px, transparent 1px);
    background-size: 40px 40px;
    opacity: .1;
    z-index: -2;
}
.about-experience:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: transparent url(images/code-solid.svg) no-repeat calc(100% - 50px) top / 100vh auto scroll;
	opacity: .1;
	z-index: -1;
}
body * {
	box-sizing: border-box;
}
p {
	margin-bottom: 15px;
}
.container {
	width: 100%;
	max-width: 1128px;
	padding-left: 20px;
	padding-right: 20px;
	margin: 0 auto;
	position: relative;
}
.container--first {
	display: flex;
	align-items: flex-start;
	gap: clamp(20px, 10.4vw + .1px, 200px);
}
.avatar {
	border-radius: 100%;
	display: block;
	margin-bottom: 15px;
	background: #26639c;
	text-indent: -9999px;
}
aside.side {
	padding-top: 90px;
	width: 100%;
	max-width: 300px;
	flex: 0 0 auto;
	position: sticky;
	top: 0;
	left: 0;
}
h1 {
	font-size: 30px;
	font-weight: 700;
	margin: 0 0 5px;
	display: flex;
	align-items: center;
}
h2 {
	font-size: 30px;
	font-weight: 700;
	margin: 0 0 50px;
}
h1:before {
	content: '';
	display: inline-block;
	width: 10px;
	height: 10px;
	background: #63c038;
	margin-right: 5px;
	border-radius: 100%;
	flex: 0 0 auto;
}
.position {
	width: 0;
	max-width: 166px;
	display: inline-block;
	font-weight: 500;
	white-space: nowrap;
	overflow: hidden;
}
.position.animate {
	width: 100%;
	border-right: .15em solid orange;
	animation: 
    typing 3.5s steps(30, end),
    blink-caret .5s step-end infinite;
}
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: orange }
}
.navigation ul {
	list-style-type: none;
	padding: 0;
	margin: 50px 0 0;
}
.navigation ul li.active a:before,
.navigation ul li:hover a:before {
	width: 64px;
}
.navigation ul li.active a,
.navigation ul li:hover a {
	opacity: 1 !important;
	--before-width: 64px;
}
.navigation ul li a:before {
	content: '';
	height: 1px;
	background: #fff;
	width: var(--before-width);
	border-radius: 10px;
	transition: .3s ease;
}
.navigation ul li {
	margin-bottom: 15px;
}
.navigation ul li a {
	--before-width: 32px;
	text-decoration: none;
	font-weight: 500;
	display: flex;
	align-items: center;
	font-size: 14px;
	gap: 10px;
	opacity: .3;
	color: #fff;
	text-transform: uppercase;
	transition: .3s ease;
}
.social-links {
	margin-top: 50px;
	font-size: 30px;
	display: flex;
	flex-wrap: wrap;
	gap: 15px;
}
.social-links a {
	color: #fff;
	opacity: .3;
	transition: .3s ease;
}
.social-links a:hover {
	opacity: 1;
}
.social-links__github { color: #0e1116; }
.social-links__wordpress { color: #357ab5; }
.social-links__codepen { color: #f6c753; }
.social-links__linkedin { color: #2d64bc; }
.social-links__email { color: #0e1116; }
#about {
	padding-top: 90px;
	line-height: 2;
	color: rgb(148, 163, 184);
	margin-bottom: 150px;
}
.experience__item {
	border: solid 1px rgba(229, 231, 235, 0);
	padding: 20px;
	border-radius: 5px;
	display: flex;
	gap: 30px;
	margin-bottom: 10px;
	transition: .3s ease;
}
.experience__item:hover {
	border: solid 1px rgba(229, 231, 235, .1);
	background: rgba(30, 41, 59, .5);
}
.experience__year {
	font-weight: 700;
	font-size: 12px;
	text-transform: uppercase;
	padding-top: 3px;
	flex: 0 0 auto;
	color: rgb(100, 116, 139);
}
.experience__title {
	margin: 0;
	color: #F5EDED;
	font-weight: 500;
	font-size: 16px;
}
.experience__description {
	font-size: 14px;
    color: rgb(148, 163, 184);
    font-weight: 300;
}
.experience__description ul {
	padding-left: 15px;
}
.experience__description ul li a {
	color: inherit;
}
.experience__tags {
	display: flex;
	flex-wrap: wrap;
	gap: 5px;
}
.experience__tag-item {
    font-size: 12px;
    background: rgba(45, 212, 191, 0.1);
	border: solid 1px rgba(229, 231, 235, 0);
    color: rgb(94, 234, 212);
    padding: 3px 5px;
    border-radius: 3px;
    border: solid 1px rgba(53, 122, 181, .3);
    letter-spacing: -.01em;
}
.resume {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-top: 30px;
    margin-left: auto;
    max-width: 200px;
    line-height: 1;
    gap: 30px;
}
.resume a {
	color: #fff;
	text-decoration: none;
	flex: 0 0 auto;
}
.contact-me {
	flex: 0 0 auto;
}
.contact-me a {
	padding: 10px 20px;
  background: #44991d;
  border: solid 1px #63c038;
  border-radius: 5px;
  display: block;
  position: relative;
}
.contact-me a:before,
.contact-me a:after {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: 10px;
}
.contact-me a:before {
  box-shadow: 0 0 0 0 rgba(20, 183, 165, 1);
  opacity: .1;
}
.contact-me a:after {
  box-shadow: 0 0 0 0 rgba(20, 183, 165, 1);
  opacity: .15;
}
.contact-me a:hover {
	background: #52af28;
  transition: .3s ease;
  -webkit-animation: pulse 1.5s infinite;
}
.contact-me a:hover:before {
  -webkit-animation: pulse-before 1.5s infinite;
}
.contact-me a:hover:after {
  -webkit-animation: pulse-after 1.5s infinite;
}
@-webkit-keyframes pulse {
  80% {
    box-shadow: 0 0 0 10px rgba(20, 183, 165, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(20, 183, 165, 0);
  }
}
@-webkit-keyframes pulse-before {
  70% {
    box-shadow: 0 0 0 20px rgba(20, 183, 165, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(20, 183, 165, 0);
  }
}
@-webkit-keyframes pulse-after {
  60% {
    box-shadow: 0 0 0 30px rgba(20, 183, 165, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(20, 183, 165, 0);
  }
}

#portfolio {
	padding: 150px 20px 100px;
	background: transparent none no-repeat center center / cover scroll;
	position: relative;
	z-index: 1;
}
#portfolio:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: #000;
	opacity: .7;
}
#portfolio .container {
	max-width: 1300px;
}
.portfolio-list {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: clamp(10px, 2.3vw + .1px, 30px);
}
.portfolio-item {
	border: solid 2px rgba(226,232,240,.3);
	border-radius: 4px;
	text-decoration: none;
	color: #fff;
	position: relative;
}
.portfolio-item-image {
	position: relative;
	height: 0;
	padding-top: 50%;
	overflow: hidden;
}
.portfolio-item:before {
/*	content: "\f0c1";*/
	font-weight: 900;
	font-family: "Font Awesome 6 Free";
	font-size: 30px;
	opacity: .7;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	transition: .3s ease;
	z-index: 2;
	display: flex;
	align-items: center;
	justify-content: center;
}
.portfolio-item:after {
/*	content: '';*/
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0,0,0,.7);
	transition: .3s ease;
}
.portfolio-item img {
	max-width: 100%;
	object-fit: cover;
	object-position: center top;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	transition: 1s ease;
	background: #aaa;
	text-index: -9999px;
	overflow: hidden;
}
.portfolio-item:hover:after {
	opacity: 0;
}
.portfolio-item:hover:before {
	transform: scale(0);
}
.portfolio-item__title {
	background: linear-gradient(180deg, rgba(2,0,36,0) 0%, rgba(0,0,0,0.5) 29%, rgba(0,0,0,1) 74%);
	padding: 50px 10px 10px;
	font-size: 14px;
	color: #fff;
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	height: 50%;
	align-items: flex-end;
	transition: 1s ease;
}
.portfolio-item:hover .portfolio-item__title {
	height: 30px;
	background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,1) 100%);
}
.portfolio-item:hover img {
	transform: scale(1.01);
}
.cursor-element {
   position: fixed;
   width: 8px;
   height: 8px;
   border-radius: 100%;
   pointer-events: none;
   z-index: 100;
}
 .cursor-element * {
   mix-blend-mode: difference;
}
 .cursor-element span {
   position: fixed;
   border: 1px solid #fff;
   border-radius: 100%;
   background: transparent;
   opacity: 0.3;
   width: 40px;
   height: 40px;
   display: block;
   z-index: 20;
   transition: 0.62s;
   transform: translateX(-50%) translateY(-50%);
   transform-origin: top left;
   transition-timing-function: cubic-bezier(0.19, 0.58, 0.58, 0.93);
}
 .cursor-element .cursor-glow {
   position: fixed;
   pointer-events: none;
   width: 100px;
   height: 100px;
   background: rgba(255, 255, 255, 1);
   border-radius: 100%;
   z-index: 10;
   opacity: 0;
   transform: scale(1) translateX(-50%) translateY(-50%);
   transform-origin: top left;
   filter: blur(32px);
   transition: all 0.64s, opacity 0.6s, width 0.68s, height 0.68s, left 0s, top 0s;
   transition-timing-function: cubic-bezier(0.19, 0.58, 0.58, 0.93);
   transition-delay: 0.2s;
   pointer-events: none;
}
 .cursor-element .cursor-glow.active {
   filter: blur(22px);
   width: 32px;
   height: 32px;
   opacity: 0.5;
   transition-delay: 0s;
   transition: all 1s, opacity 1.24s, width 0.6s, height 0.6s, left 0s, top 0s;
}
.cursor-element .cursor-glow.active + span {
	--glow-color: rgb(94, 234, 212);
   background: var(--glow-color);
   opacity: 0.82;
   transform: scale(0.42) translateX(-50%) translateY(-50%);
   box-shadow: 0px 0px 24px rgba(2, 2, 2, 0.1);
   transition: 0.32s ease;
   transition-delay: 0.08s;
}
.cursor-element .cursor-glow.highlight {
   filter: blur(22px);
   width: 300px;
   height: 300px;
   opacity: 0.1;
   transition-delay: 0s;
   transition: all 1s, opacity 1.24s, width 0.6s, height 0.6s, left 0s, top 0s;
/*   background: rgb(94, 234, 212);*/
}
.cursor-element .cursor-glow.highlight + span {
  position: absolute;
  width: 500px;
  height: 500px;
  filter: blur(80px);
  background-color: #95a4f922;
  opacity: 0;
  border-radius: 50%;
  transition: 1600ms;
  transition-property: opacity;
  left: 0;
  top: 0;
  pointer-events: none;
}
.cursor-element .cursor-glow.skills-section + span {
	border: solid 1px #000;
}
#clouds {
	width: 100%;
	top: 0;
	left: 0;
	height: 100%;
	right: 0;
	position: fixed;
	z-index: -4;
	opacity: .1;
}
#skills-assessment:before {
	background: #fff;
	background-image: linear-gradient(to right, rgb(148, 163, 184) 1px, transparent 1px), 
    linear-gradient(to bottom, rgb(148, 163, 184) 1px, transparent 1px);
    background-size: 40px 40px;
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    opacity: .2;
}
#skills-assessment {
	color: #021526;
	padding-top: 100px;
	padding-bottom: 100px;
	overflow: hidden;
	position: relative;
	z-index: 1;
	background: #fff;
}
#skills-assessment .container {
	max-width: 1300px;
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 30px;
}
#skills-assessment h2 {
	text-align: center;
}
#skills-assessment h3 {
	text-align: center;
	color: #021526;
	margin: 0 0 20px;
	font-size: 18px;
}
.skills-container {
	display: flex;
  flex-direction: column;
  gap: 30px;
  background: rgba(255, 255, 255, .5);
  padding: 30px;
  border: solid 2px #c2c2c299;
}
.skill {
	transition: .3s ease;
}
.skill:hover {
	transform: scale(1.05);
}
.skill__bar {
	--bar-animation-overlap: 100%;
	--bar-color: #000;
	--score: 100%;
	height: 10px;
	border-radius: 10px;
	background: #dedede;
	overflow: hidden;
	position: relative;
}
.skill__bar:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	border-radius: 10px;
	width: var(--score);
	background: var(--bar-color);
}
.skill__bar:after {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	width: var(--bar-animation-overlap);
	background: #dedede;
}
.skill__label {
	font-weight: 600;
	letter-spacing: -.02em;
	display: flex;
	align-items: center;
	font-size: 14px;
	margin-bottom: 10px;
	color: #6c6c6c;
}
.skill__label i {
	font-size: 20px;
	margin-right: 5px;
}
.skill__label .skill__label-score {
	margin-left:auto;
	color: #333;
}
#footer {
	background: #000;
	color: #aaa;
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: 12px;
	text-align: right;
	text-transform: uppercase;
}
#sticky-navigation {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	z-index: 99;
	background: #557C56;
	color: #fff;
	padding: 15px 0;
	pointer-events: none;
	opacity: 0;
	transform: translateY(-20px);
}
#sticky-navigation a {
	color: #fff;
	text-decoration: none;
}
#sticky-navigation .container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	max-width: 1300px;
}
#sticky-navigation nav ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
	display: flex;
	gap: 30px;
}
#sticky-navigation nav ul li a {
	font-weight: 700;
	font-size: 14px;
	text-transform: uppercase;
	letter-spacing: .02em;
	opacity: .7;
	transition: .3s ease;
}
#sticky-navigation nav ul li a:hover {
	opacity: 1 !important;
}
.sticky-social-links {
	display: flex;
	gap: 10px;
}
.sticky-social-links a {
	opacity: .7;
	font-size: 20px;
	transition: .3s ease;
}
.sticky-social-links a:hover {
	opacity: 1;
}



@media screen and (max-width: 1200px) {
	body:before {
		background-size: calc(100% - 300px) auto;
		background-position: calc(100% - 20px) center;
	}
}
@media screen and (max-width: 1024px) {
	.container--first {
		gap: 20px;
	}
	.experience__item {
		flex-direction: column;
		border: solid 1px rgba(229, 231, 235, .1);
		background: rgba(30, 41, 59, 0.8);
	}
}
@media screen and (max-width: 991px) {
	#skills-assessment .container {
		grid-template-columns: repeat(2, 1fr);
	}
}
@media screen and (max-width: 767px) {
	body:before {
		display: none;
	}
	.cursor-element {
		display: none;
	}
	#sticky-navigation {
		display: none;
	}
	.container--first {
		flex-direction: column;
		max-width: 500px;
	}
	aside.side {
		position: static;
		margin: 0 auto;
		display: flex;
	    flex-direction: column;
	    align-items: center;
	    justify-content: center;
	    padding: 0;
	    min-height: 100vh;
	}
	#about {
		padding-top: 30px;
	}
	.about-experience {
		padding-top: 50px;
	}
	#portfolio {
		padding-top: 50px;
	}
	.portfolio-list {
		grid-template-columns: repeat(2, 1fr);
	}
}
@media screen and (max-width: 600px) {
	#skills-assessment .container {
		grid-template-columns: repeat(1, 1fr);
		max-width: 350px;
	}
}
@media screen and (max-width: 500px) {
	.portfolio-list {
		grid-template-columns: repeat(1, 1fr);
	}
}
@media screen and (max-width: 400px) {
	.resume {
		flex-direction: column-reverse;
    align-items: flex-end;
	}
}